Subject: bug#22534: File notify broken on Windows

From: Fabrice Popineau <[email-masked]>
Date: Mon, 8 Feb 2016 11:43:10 +0100

2016-02-08 11:27 GMT+01:00 Michael Albinus <[email-masked]>:

> Fabrice Popineau <[email-masked]> writes:
>
> > events: ((created changed deleted)) ((17491048 created
> >
> c:/Users/Fabrice/AppData/Local/Temp/file-notify-test-parent20748Ali/file-notify-test20748Nvo)
> > (17491048 changed
> >
> c:/Users/Fabrice/AppData/Local/Temp/file-notify-test-parent20748Ali/file-notify-test20748Nvo))
>
> Fails also for me in batch mode. Surprisingly, it doesn't fail always,
> sometimes (about 1 in 10 runs) it succeeds here, and fails in the next
> step. Strange.
>
> I see the same. The deleted notifications number vary. When you expect 2,
sometimes I see 1.
When you expect one, sometimes I see it. But not frequently.

> If we do not care the missing `deleted' event in batch mode, I could
> make it optional in the test. But maybe it is an indication for a
> serious problem in w32notify.
>
>
Fabrice